Overview of Changes in Chats 0.7.0~rc3. Fri, 11 November 2022
=============================================================
* Fix opening matrix files clicking message row
* Scale down avatars to reduce memory footprint
* Fix chat selection when switching landscape/portriate mode
* Fix a crash when loading matrix avatars

Overview of Changes in Chats 0.7.0~rc2. Sun, 06 November 2022
=============================================================
* Matrix - Load user and room avatar
* Follow upstream dark style preference changes
* Disable HTTP/2 for matrix (again), it breaks sometimes
* Update Translations
  - Italian
  - Swedish
  - Romanian

Overview of Changes in Chats 0.7.0~rc1. Fri, 21 October 2022
============================================================
* Fix matrix verifications
* Show matrix history with no network connectivity
* Fix window height with onscreen-keyboard shown
* prefer HTTP/2 for matrix if available
* Update Translations
  - Ukrainian

Overview of Changes in Chats 0.7.0~rc0. Mon, 17 October 2022
============================================================
* Move all matrix code to libcmatrix
* Matrix support is no longer experimental
* Fix build with GNOME desktop 43
* Update Translations
  - Swedish
  - Ukrainian
  - Hebrew
  - Romanian
  - Spanish

Overview of Changes in Chats 0.6.7. Tue, 25 June 2022
=====================================================
* Scale down user avatar to speed up UI
* MMS
  - fix missing new line if there is subject, but no text

Overview of Changes in Chats 0.6.6. Tue, 07 June 2022
====================================================
* Delete modem messages only if successfully added to DB.
* Add support for swiping back from chat view
* Fix issue(s) #698, #699

Overview of Changes in Chats 0.6.5. Tue, 25 May 2022
====================================================
* Update Translations
  - Romanian
  - Italian


Overview of Changes in Chats 0.6.4. Tue, 27 April 2022
======================================================
* Add support for blocking and unblocking SMS/MMS Contacts
* Add archived chat support for SMS/MMS Chats
* Fix issue(s) #431, #563, #664, #676, #689
* Update Translations
  - Ukrainian
  - Swedish
  - Italian
  - Spanish
  - Swedish


Overview of Changes in Chats 0.6.3. Tue, 26 March 2022
======================================================
* Fix calculating MMS max attachment size
* Fix some compile time warnings
* Fix parsing links with spaces in messages
* Update Translations
  - Turkish
  - Italian


Overview of Changes in Chats 0.6.2. Tue, 25 Feb 2022
====================================================
* Update Translations
  - Romanian


Overview of Changes in Chats 0.6.1. Tue, 08 Feb 2022
====================================================
* Add support for per chat draft message
* Fix unread message count for SMS/MMS chats
* Improve time presentation for messages and chats
* Update Translations
  - Swedish
  - Ukrainian
  - Brazilian


Overview of Changes in Chats 0.6.0. Tue, 25 Jan 2022
====================================================
* MMS
  - Implement new Group message work flow
  - Fix setting proxy
* Fix various memory leaks and warnings
* Fix issue(s) #235 #670
* Update Translations
  - Ukrainian
  - Swedish


Overview of Changes in Chats 0.6.0~beta. Tue, 11 Jan 2022
=========================================================
This version of Chats updates the database schema and thus once you update
to 0.6.0~beta, you shall NOT be able to go back to any older version.  When
the db schema is updated, a copy of older version of the db is stored as
~/.purple/chatty/db/chatty-history.db.xxxx (where xxxx is a unix timestamp)

Right now in any of the 0.5.0~beta, there are several things that are not being
explicitly saved in the chatty database (such as the subject, multiple attachments, etc).
!1023 fixed those issues so that chatty can appropriately handle them.  However,
once one runs that MR, one cannot backport the database, hence the reasoning to go
to 0.6.0~beta instead of 0.5.0~beta5.  It makes it obvious that this is a major upgrade.

* Update database schema to handle MMS subject, multi file attachments, etc.
* Improve database tests to avoid incompatible changes
* Improve auto generated names for multi user MMS chats
* Allow calling contacts from info page
* Fixes issue(s) #666, #668
* Update Translations
  - Italian
  - Ukrainian
  - Romanian
  - Dutch


Overview of Changes in Chats 0.5.0~beta4. Wed, 15 Dec 2021
==========================================================
* MMS
  - Add Support for expired MMS messages
  - delete orphaned MMSes
* Matrix
  - Request password if it's initially empty
* Update Translations
  - Ukrainian
  - Swedish

Overview of Changes in Chats 0.5.0~beta3. Fri, 10 Dec 2021
==========================================================
* Show URLs for file only messages
* SMS/MMS
  - Don't show author for outgoing SMS/MMS
  - Write settings directly to mmsd-tng (mmsd daemon)
* Matrix
  - Regenerate encryption keys only if empty
  - Fix tests with olm account pickle v4
* Update Translations
  - Romanian
  - Swedish
  - Ukrainian


Overview of Changes in Chats 0.5.0~beta2. Thu, 02 Dec 2021
==========================================================
* Improve MMS support
* Use more libhandy widgets
* Show an empty page on empty view
* Improve keyboard navigation
* Update Translations
* Matrix
  - Improve handling network changes
  - Avoid resync when asked to stop sync
* build
  - Avoid testing some UI files (ui files with libhandy widgets fails test)
  - bump flatpak olm dependency


Overview of Changes in Chats 0.5.0~beta. Tue, 16 Nov 2021
=========================================================
* Add MMS support
* Fix various memory leaks
* Use HdyStatusPage to show empty label
* Withdraw notification when message is read
* Matrix
  - Support login with email
  - Implement setting encryption
  - Add sync filter and use it
* build
  - Make libpurple optional


Overview of Changes in Chats 0.4.0. Sat, 11 Sep 2021
====================================================
* Fix various memory leaks
* Improve 'Add in contacts' workflow
* Update evolution-data-server contacts on refresh
* Don't list accounts with unknown status


Overview of Changes in Chats 0.4.0~beta3. Mon, 06 Sep 2021
==========================================================
* Anonymize chat and account details in log
* SMS
  - Add a way to call numbers
  - Don't show intials for chats with no name
  - Remove purple-mm-sms completely in favor in native SMS support
* Matrix
  - Verify homeserver before saving


Overview of Changes in Chats 0.4.0~beta2. Mon, 30 Aug 2021
==========================================================
* SMS
  - Allow configuring delivery reports
  - Prefer locally parsed phone number


Overview of Changes in Chats 0.4.0~beta. Wed, 25 Aug 2021
=========================================================
* Add native SMS support
* Always show SMS chats
* Matrix
  - Load user avatars
  - Allow deleting user avatars
  - Improve key exchanges
* Fix issue(s) #514


Overview of Changes in Chats 0.3.4. Wed, 28 Jul 2021
====================================================
* Work around gnome-keyring unlock if not unlocked on boot
* Add matrix specific info dialog
* Matrix
  - Load saved account details
  - Implement getting account avatars


Overview of Changes in Chats 0.3.3. Wed, 14 Jul 2021
====================================================
* Matrix
  - Allow getting/deleting 3pid (email/phone numbers)
  - Implement file downloads
  - Implement setting display name
* Handle opening chats from notifications


Overview of Changes in Chats 0.3.2. Tue, 29 Jun 2021
====================================================
* Keep last modified time up to date in chat list
* Various code cleanups
* Matrix
  - Load room name and use it
  - Load avatars async
  - Load room avatar when creating chat


Overview of Changes in Chats 0.3.1. Thu, 27 May 2021
====================================================
* Show notification for new matrix messages
* Show message time of they differ by a minute or more
* Avoid animating when messages are shown


Overview of Changes in Chats 0.3.0. Tue, 04 May 2021
====================================================
* Fix avatar chooser dialog
* Speed up matrix buddy search
* Update Translations


Overview of Changes in Chats 0.3.0~beta2. Wed, 14 Apr 2021
==========================================================
* Improve matrix encryption
* Prefer logging to journald if available
* Various code cleanups
* Update Translations


Overview of Changes in Chats 0.3.0~beta. Thu, 25 Mar 2021
=========================================================
* Add initial support for matrix chat
* Add flatpak manifest
* Fix various memory leaks
* Update Translations


Overview of Changes in Chats 0.2.0. Mon, 16 Nov 2020
====================================================
This version of Chats updates the database schema and thus once you update
to 0.2.0, you shall NOT be able to go back to any older version. when the
db schema is updated, a copy of older version of the db is stored as
~/.purple/chatty/db/chatty-history.db.xxxx (where xxxx is the unix timestamp)

* Implement new Database design
* Allow numbers prefixed with 'sms://'
* Show an error dialog for invalid numbers
* Add an empty search view
* Add a minimal user id validation
* Port to libhandy-1
* Add more tests
* Various code cleanups
* Update Translations


Overview of Changes in Chats 0.1.17. Mon, 02 Nov 2020
=====================================================
* Hide chats with empty chat when folded
* Don't strip html from SMS messages
* Hide avatar for outgoing messages
* Update Translations


Overview of Changes in Chats 0.1.16. Wed, 23 Sep 2020
=====================================================
* Various code cleanups
* Hide chats from disconnected accounts
* Update Translations


Overview of Changes in Chats 0.1.15. Thu, 20 Aug 2020
=====================================================
* Various code cleanups
* Inform user if contacts app failed to open
* Improve Some translatable strings
* Update Translations


Overview of Changes in Chats 0.1.14. Tue, 14 Jul 2020
=====================================================
* Add bash completion support
* Use SIM provider country code for parsing phone number
* Update Translations


Overview of Changes in Chats 0.1.13. Thu, 25 Jun 2020
=====================================================
* Revert "window: Select the first chat if in non-folded mode"


Overview of Changes in Chats 0.1.12. Wed, 24 Jun 2020
=====================================================
* Improve avatar presentation on buddy/chat state changes
* Trigger (in)activity on screen blank/unblank for xep-0352
* Various code cleanups


Overview of Changes in Chats 0.1.11. Thu, 28 May 2020
=====================================================
* Various UI fixes
* Various code cleanups
* Improve keyboard navigation
* Fix various memory leaks and invalid free
* Fix issue(s) #340


Overview of Changes in Chats 0.1.10. Wed, 22 Apr 2020
=====================================================
* Various UI fixes
* Enable showing notifications on first message
* List chats only from connected accounts
* Replace libfolks with evolution-data-server for contacts
* Update Translations


Overview of Changes in Chats 0.1.9. Thu, 12 Mar 2020
====================================================
* Various code cleanups
* Update Translations
* Add about dialog
* Fix build on GCC 10
* Fix issue(s) #284, #293


Overview of Changes in Chats 0.1.8. Wed, 26 Feb 2020
====================================================
* Various code cleanups
* Use phonenumber for SMS alias
* Update password entry icons
* Fix issue(s) #264, #289, #292


Overview of Changes in Chats 0.1.7. Wed, 22 Jan 2020
====================================================
* Update avatar when user gets deleted


Overview of Changes in Chats 0.1.6. Wed, 22 Jan 2020
====================================================
* Various code cleanups
* Improve avatar support
* Update Translations
* Fix issue(s) #267, #274


Overview of Changes in Chats 0.1.5. Mon, 13 Jan 2020
====================================================
* Add initial MAM implementation
* Fix various memory leaks
* Update Translations
* Fix issue(s) #259, #262


Overview of Changes in Chats 0.1.4. Sun, 15 Dec 2019
====================================================
* Add unit tests
* Add librem.one as default jabber provider
* Improve empty-state overlay handling


Overview of Changes in Chats 0.1.3. Mon, 09 Dec 2019
====================================================
* Add support for muc room and user aliases
* Add support for account icons
* Fix various memory leaks
* Update Translations
* Fix issue(s) #231, #225


Overview of Changes in Chats 0.1.2. Tue, 19 Nov 2019
====================================================
* Add contacts to gnome-contacts when created in chatty
* Enable folks SMS contacts only when modem is available
* Fix various memory leaks
* Update Translations
* Fix issue(s) #217, #218


Overview of Changes in Chats 0.1.1. Mon, 04 Nov 2019
====================================================
* Improve buddy list
* Only show contacts of connected accounts
* Add libfolks support for contacts
* Autojoin SMS contacts having chat history
* Show user icons in message notifications
* Update Translations
* Fix issue(s) #52, #203, #209


Overview of Changes in Chats 0.1.0. Sun, 06 Oct 2019
====================================================
* Change app release description


Overview of Changes in Chats 0.0.8. Sat, 05 Oct 2019
====================================================
* Change app name from Chatty to Chats
* Fix a bug that led to a crash when adding a new contact without an active acount
* Add support for XMPP http file upload plugin
* Chats switches directly to the conversation view when a new contact is added
* Add conversation notifications
* Add notifications for XMPP account and modem (re)connections
* Set first account in the 'Add New Chat' dialog as default
* Add timestamp to incoming messages
* Add daemon mode
* Add support for SMS uri scheme
* Add handling for libpurple TLS notifications
* Added dialog for TLS connection handling
* Improve connection handling
* Add spinner for connection status to each entry in the accounts list
* Rework connection error dialog
* Add OMEMO fingerprints and device IDs to the XMPP account info dialog and the chat details dialog 
* Add phone number formatting according to E164
* Add lazy-loading for the chat history
* Add an about dialog
* Add auto reconnect for SMS and IM accounts
* Add acount setup verification
* Replace purple conversation logging by SQLite based logging
* Fix many visual bugs in the UI


Overview of Changes in Chats 0.0.7. Tue, 16 Apr 2019
====================================================
* Add application info dialog
* Fix a core dump issue caused by invoking another instance of Chatty
* Chatty won't start anymore if another libpurple client, like Pidgin, is running already


Overview of Changes in Chats 0.0.6. Thu, 07 Mar 2019
====================================================
* Set the spinner-widget for account-connection status
* Select the first 'Chats' list entry after leaving/deleting a chat and at application start 
* Add HdyLeaflet notification handler for headerbar update
* Improve css styling of message panel
* Show 'close' button when leaflet is folded
* Fix issue(s) #97


Overview of Changes in Chats 0.0.5. Mon, 04 Mar 2019
====================================================
* Add "Leave Chat" menu entry
* Add handling and settings for messages from unknown users
* Add group chat dialog
* Add 'Welcome' dialog
* Fix crash on conversation with not yet buddies
* Fix issue(s) #87, #54


Overview of Changes in Chats 0.0.4. Wed, 30 Jan 2019
====================================================
* Port to use HdyDialog
* Introduce HdyLeaflet
* Add close button to header-bar which is visible when msg-view is unfolded
* Indicate selected chat in chats-list when msg-view is unfolded
* Introduce XMPP multi user chat


Overview of Changes in Chats 0.0.3. Mon, 07 Jan 2019
====================================================
* Add contacts list refresh handling
* Add 'edit account' dialog
* Add setting for return=send message
* Add setting for enabling/disabling libpurple message carbons
* Add settings view
* Add emoticon translation
* Add support for sending typing messages
* Replace 'add account' view with dialog
* Rework 'add contact' view
* Fix issue(s) #73, #75, #77


Overview of Changes in Chats 0.0.2. Fri, 14 Dec 2018
====================================================
* Add app icon
* Add purple-command support
* Add SMS send receipts
* Replace GtkSearchBar with HdySearchBar
* handle XMPP authorization requests


Overview of Changes in Chats 0.0.1. Thu, 08 Nov 2018 
====================================================
* Initial release
